# QuickHashIntHash::update

(PECL quickhash >= Unknown)

QuickHashIntHash::update — This method updates an entry in the hash with a new value

### Description

public QuickHashIntHash::update ( int `$key` , int `$value` ) : bool

This method updates an entry with a new value, and returns whether the entry was update. If there are duplicate keys, only the first found element will get an updated value. Use QuickHashIntHash::CHECK_FOR_DUPES during hash creation to prevent duplicate keys from being part of the hash.

### Parameters

`key`

  The key of the entry to add.

`value`

  The new value to update the entry with.

### Return Values

`TRUE` when the entry was found and updated, and `FALSE` if the entry was not part of the hash already.

### Examples

Example #1 QuickHashIntHash::update() example

`<?php
$hash = new QuickHashIntHash( 1024 );
var_dump( $hash->add( 141421, 173205 ) );
var_dump( $hash->update( 141421, 223606 ) );
var_dump( $hash->get( 141421 ) );
?>`

The above example will output something similar to:

    bool(true)
    bool(true)
    int(223606)